# Member Profile

**Summary:** Endpoints for Member Profile

- Role: [Developers](https://www.subrite.no/developers)
- Source: https://www.subrite.no/developers/member-profile
- Updated: 2026-10-13
- Markdown index: https://www.subrite.no/developers/llms.txt

<a id="get-api-v1-members-profile-mypage-cards-settings"></a>
## Get mypage cards settings of a tenant

`GET /api/v1/members/profile/mypage-cards-settings`

**Authentication:** Bearer token (JWT)

### Parameters

| Name | In | Type | Description |
| --- | --- | --- | --- |
| `showOnMyPage` | query | `boolean` |   |

### Responses

#### 200

Content type: `application/json` · `array of MypageCardsSettingsResponseDto`

| Name | Type | Description |
| --- | --- | --- |
| `[].title` (Required when parent is present) | `Translation` | Can be null |
| `[].title.en` (Required when parent is present) | `string` |   |
| `[].title.no` (Required when parent is present) | `string` |   |
| `[].title.sv` | `string` |   |
| `[].title.da` | `string` |   |
| `[].title.key` | `string` |   |
| `[].description` (Required when parent is present) | `Translation` | Can be null |
| `[].description.en` (Required when parent is present) | `string` |   |
| `[].description.no` (Required when parent is present) | `string` |   |
| `[].description.sv` | `string` |   |
| `[].description.da` | `string` |   |
| `[].description.key` | `string` |   |
| `[].id` (Required when parent is present) | `number` |   |
| `[].link` (Required when parent is present) | `string` |   |
| `[].cardType` (Required when parent is present) | `string` | Allowed values: `"subrite_standard"`, `"custom"` |
| `[].showOnMyPage` (Required when parent is present) | `boolean` |   |
| `[].display_order` (Required when parent is present) | `number` |   |

#### 400

Content type: `application/json` · `ErrorResponse`

badRequest

| Name | Type | Description |
| --- | --- | --- |
| `messageCode` (Required) | `string` | Allowed values: `"badRequest"` |
| `message` | `string` |   |
| `errors` (Required) | `array of FieldError` |   |
| `errors[].field` (Required when parent is present) | `string` |   |
| `errors[].fieldValue` (Required when parent is present) | `string` |   |
| `errors[].identifier` (Required when parent is present) | `string` |   |
| `errors[].identifierValue` (Required when parent is present) | `string` |   |
| `errors[].messageCode` (Required when parent is present) | `string` |   |
| `errors[].message` | `string` |   |
| `errors[].errorType` (Required when parent is present) | `string` |   |

**Example response**

`application/json`

```json
{
  "messageCode": "badRequest",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 401

Content type: `application/json` · `ErrorResponse`

unauthorized

| Name | Type | Description |
| --- | --- | --- |
| `messageCode` (Required) | `string` |   |
| `message` | `string` |   |
| `errors` (Required) | `array of FieldError` |   |
| `errors[].field` (Required when parent is present) | `string` |   |
| `errors[].fieldValue` (Required when parent is present) | `string` |   |
| `errors[].identifier` (Required when parent is present) | `string` |   |
| `errors[].identifierValue` (Required when parent is present) | `string` |   |
| `errors[].messageCode` (Required when parent is present) | `string` |   |
| `errors[].message` | `string` |   |
| `errors[].errorType` (Required when parent is present) | `string` |   |

**Example response**

`application/json`

```json
{
  "messageCode": "string",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 403

Content type: `application/json` · `ErrorResponse`

forbiddenResource

Same fields as [Get mypage cards settings of a tenant (401)](https://www.subrite.no/developers/member-profile?md=true#get-api-v1-members-profile-mypage-cards-settings).

#### 500

Content type: `application/json` · `ErrorResponse`

internalServerError

Same fields as [Get mypage cards settings of a tenant (401)](https://www.subrite.no/developers/member-profile?md=true#get-api-v1-members-profile-mypage-cards-settings).

### Example request

```bash
curl https://api.subrite.no/api/v1/members/profile/mypage-cards-settings \
  --header 'Authorization: Bearer <token>'
```

### Example response

200 · `application/json`

```json
[
  {
    "title": {},
    "description": {},
    "id": 0,
    "link": "string",
    "cardType": "subrite_standard",
    "showOnMyPage": true,
    "display_order": 0
  }
]
```

<a id="get-api-v1-members-profile-available-subscriptions-to-join"></a>
## Get subscriptions available to join based on email domain

`GET /api/v1/members/profile/available-subscriptions-to-join`

**Authentication:** Bearer token (JWT)

### Responses

#### 200

Content type: `application/json` · `array of MemberPackageProduct`

| Name | Type | Description |
| --- | --- | --- |
| `[].memberPackageId` (Required when parent is present) | `number` |   |
| `[].productId` (Required when parent is present) | `number` |   |
| `[].price` (Required when parent is present) | `number` |   |
| `[].recurringPrice` (Required when parent is present) | `number` |   |
| `[].quantity` (Required when parent is present) | `number` |   |
| `[].hasAccess` (Required when parent is present) | `boolean` |   |
| `[].shippingCountry` (Required when parent is present) | `string` |   |
| `[].shippingProvider` (Required when parent is present) | `string` | Allowed values: `"Helthjem"`, `"Bring - Posten"`, `"Distribution Innovation"` |
| `[].allowDistributorToUpdateDeliveryAddress` (Required when parent is present) | `boolean` |   |
| `[].memberPackageProductEmailDomains` (Required when parent is present) | `array of MemberPackageProductEmailDomain` |   |
| `[].memberPackageProductEmailDomains[].memberPackageProductId` (Required when parent is present) | `number` |   |
| `[].memberPackageProductEmailDomains[].emailDomain` (Required when parent is present) | `string` |   |
| `[].memberPackageProductEmailDomains[].updatedBy` (Required when parent is present) | `number` |   |
| `[].memberPackageProductEmailDomains[].memberPackageProduct` (Required when parent is present) | `MemberPackageProduct` | Recursive schema; nested fields are not repeated. |
| `[].memberPackageProductEmailDomains[].id` (Required when parent is present) | `number` |   |
| `[].memberPackageProductEmailDomains[].createdAt` (Required when parent is present) | `string (date-time)` |   |
| `[].memberPackageProductEmailDomains[].updatedAt` (Required when parent is present) | `string (date-time)` |   |
| `[].memberPackageProductEmailDomains[].deletedAt` (Required when parent is present) | `string (date-time)` |   |
| `[].memberPackageProductEmailDomains[].metaData` (Required when parent is present) | `object` |   |
| `[].memberPackageProductIps` (Required when parent is present) | `array of MemberPackageProductIp` |   |
| `[].memberPackageProductIps[].memberPackageProductId` (Required when parent is present) | `number` |   |
| `[].memberPackageProductIps[].ipRange` (Required when parent is present) | `string` |   |
| `[].memberPackageProductIps[].label` (Required when parent is present) | `string` |   |
| `[].memberPackageProductIps[].updatedBy` (Required when parent is present) | `number` |   |
| `[].memberPackageProductIps[].memberPackageProduct` (Required when parent is present) | `MemberPackageProduct` | Recursive schema; nested fields are not repeated. |
| `[].memberPackageProductIps[].id` (Required when parent is present) | `number` |   |
| `[].memberPackageProductIps[].createdAt` (Required when parent is present) | `string (date-time)` |   |
| `[].memberPackageProductIps[].updatedAt` (Required when parent is present) | `string (date-time)` |   |
| `[].memberPackageProductIps[].deletedAt` (Required when parent is present) | `string (date-time)` |   |
| `[].memberPackageProductIps[].metaData` (Required when parent is present) | `object` |   |
| `[].memberPackage` (Required when parent is present) | `MemberPackage` |   |
| `[].memberPackage.memberId` (Required when parent is present) | `string` |   |
| `[].memberPackage.packageId` (Required when parent is present) | `number` |   |
| `[].memberPackage.subscriptionPlanId` (Required when parent is present) | `number` |   |
| `[].memberPackage.recurringPrice` (Required when parent is present) | `number` |   |
| `[].memberPackage.hasCustomPrice` (Required when parent is present) | `boolean` |   |
| `[].memberPackage.currentPrice` (Required when parent is present) | `number` |   |
| `[].memberPackage.status` (Required when parent is present) | `string` | Allowed values: `"active"`, `"inactive"`, `"pending"`, `"paused"`, `"stopped"`, `"expired"`, `"waiting_for_activation"` |
| `[].memberPackage.autoRenew` (Required when parent is present) | `boolean` |   |
| `[].memberPackage.nextRenewal` (Required when parent is present) | `string (date-time)` |   |
| `[].memberPackage.renewalAnchorDate` (Required when parent is present) | `string (date-time)` |   |
| `[].memberPackage.currentPeriodStart` (Required when parent is present) | `string (date-time)` |   |
| `[].memberPackage.forcedStopDate` (Required when parent is present) | `string (date-time)` |   |
| `[].memberPackage.cancelledAt` (Required when parent is present) | `string (date-time)` |   |
| `[].memberPackage.isCustomized` (Required when parent is present) | `boolean` |   |
| `[].memberPackage.paymentProvider` (Required when parent is present) | `string` | Allowed values: `"stripe"`, `"vipps"`, `"external"`, `"nets"`, `"efaktura-avtalegiro-ehf"`, `"swedbankpay"` |
| `[].memberPackage.reference` (Required when parent is present) | `string` |   |
| `[].memberPackage.lastActiveAt` (Required when parent is present) | `string (date-time)` |   |
| `[].memberPackage.isOnIntroPeriod` (Required when parent is present) | `boolean` |   |
| `[].memberPackage.nextOrderDate` (Required when parent is present) | `string (date-time)` |   |
| `[].memberPackage.scheduledActivationDate` (Required when parent is present) | `string (date-time)` | Can be null |
| `[].memberPackage.package` (Required when parent is present) | `Package` | Nested fields omitted: field limit. |
| `[].memberPackage.subscriptionPlan` (Required when parent is present) | `SubscriptionPlan` | Nested fields omitted: field limit. |
| `[].memberPackage.member` (Required when parent is present) | `Member` | Nested fields omitted: field limit. |
| `[].memberPackage.memberPackageProducts` (Required when parent is present) | `array of MemberPackageProduct` | Recursive schema; nested fields are not repeated. |
| `[].memberPackage.orders` (Required when parent is present) | `array of Order` | Nested fields omitted: field limit. |
| `[].memberPackage.memberPackageProviderPayment` (Required when parent is present) | `MemberPackageProviderPayment` | Nested fields omitted: field limit. |
| `[].memberPackage.changes` (Required when parent is present) | `array of MemberPackageChange` | Nested fields omitted: field limit. |
| `[].memberPackage.histories` (Required when parent is present) | `array of MemberPackageHistory` | Nested fields omitted: field limit. |
| `[].memberPackage.tenantId` (Required when parent is present) | `number` |   |
| `[].memberPackage.tenant` (Required when parent is present) | `Tenant` | Nested fields omitted: field limit. |
| `[].memberPackage.id` (Required when parent is present) | `number` |   |
| `[].memberPackage.createdAt` (Required when parent is present) | `string (date-time)` |   |
| `[].memberPackage.updatedAt` (Required when parent is present) | `string (date-time)` |   |
| `[].memberPackage.deletedAt` (Required when parent is present) | `string (date-time)` |   |
| `[].memberPackage.metaData` (Required when parent is present) | `object` |   |
| `[].product` (Required when parent is present) | `Product` | Nested fields omitted: field limit. |
| `[].seats` (Required when parent is present) | `array of MemberPackageProductSeat` | Nested fields omitted: field limit. |
| `[].recipients` (Required when parent is present) | `array of MemberPackageProductRecipient` | Nested fields omitted: field limit. |
| `[].id` (Required when parent is present) | `number` |   |
| `[].createdAt` (Required when parent is present) | `string (date-time)` |   |
| `[].updatedAt` (Required when parent is present) | `string (date-time)` |   |
| `[].deletedAt` (Required when parent is present) | `string (date-time)` |   |
| `[].metaData` (Required when parent is present) | `object` |   |

#### 400

Content type: `application/json` · `ErrorResponse`

memberEmailMissing, invalidEmailDomain

| Name | Type | Description |
| --- | --- | --- |
| `messageCode` (Required) | `string` | Allowed values: `"memberEmailMissing"`, `"invalidEmailDomain"` |
| `message` | `string` |   |
| `errors` (Required) | `array of FieldError` |   |
| `errors[].field` (Required when parent is present) | `string` |   |
| `errors[].fieldValue` (Required when parent is present) | `string` |   |
| `errors[].identifier` (Required when parent is present) | `string` |   |
| `errors[].identifierValue` (Required when parent is present) | `string` |   |
| `errors[].messageCode` (Required when parent is present) | `string` |   |
| `errors[].message` | `string` |   |
| `errors[].errorType` (Required when parent is present) | `string` |   |

**Example response**

`application/json`

```json
{
  "messageCode": "memberEmailMissing",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 401

Content type: `application/json` · `ErrorResponse`

unauthorized

Same fields as [Get mypage cards settings of a tenant (401)](https://www.subrite.no/developers/member-profile?md=true#get-api-v1-members-profile-mypage-cards-settings).

**Example response**

`application/json`

```json
{
  "messageCode": "string",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 403

Content type: `application/json` · `ErrorResponse`

forbiddenResource

Same fields as [Get mypage cards settings of a tenant (401)](https://www.subrite.no/developers/member-profile?md=true#get-api-v1-members-profile-mypage-cards-settings).

#### 500

Content type: `application/json` · `ErrorResponse`

internalServerError

Same fields as [Get mypage cards settings of a tenant (401)](https://www.subrite.no/developers/member-profile?md=true#get-api-v1-members-profile-mypage-cards-settings).

### Example request

```bash
curl https://api.subrite.no/api/v1/members/profile/available-subscriptions-to-join \
  --header 'Authorization: Bearer <token>'
```

### Example response

200 · `application/json`

```json
[
  {
    "memberPackageId": 0,
    "productId": 0,
    "price": 0,
    "recurringPrice": 0,
    "quantity": 0,
    "hasAccess": true,
    "shippingCountry": "string",
    "shippingProvider": "Helthjem",
    "allowDistributorToUpdateDeliveryAddress": true,
    "memberPackageProductEmailDomains": [],
    "memberPackageProductIps": [],
    "memberPackage": {
      "memberPackageProducts": [],
      "orders": [],
      "changes": [],
      "histories": [],
      "metaData": {}
    },
    "product": {
      "properties": {},
      "shippingCharges": [],
      "entityTags": [],
      "subscriptionPlanProducts": [],
      "packageProducts": [],
      "memberPackageProducts": [],
      "orderItem": [],
      "productContents": [],
      "metaData": {}
    },
    "seats": [],
    "recipients": [],
    "id": 0,
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z",
    "deletedAt": "2019-08-24T14:15:22Z",
    "metaData": {}
  }
]
```

<a id="post-api-v1-members-profile-join-subscriptions"></a>
## Join selected available subscriptions (create product seats)

`POST /api/v1/members/profile/join-subscriptions`

**Authentication:** Bearer token (JWT)

### Request body

Content type: `application/json` · Required · `JoinSubscriptionsRequestDto`

| Name | Type | Description |
| --- | --- | --- |
| `memberPackageProductIds` (Required) | `array of number` | Array of MemberPackageProduct IDs to join · `minItems`: `1` |

**Example request body**

`application/json`

```json
{
  "memberPackageProductIds": [
    12,
    45
  ]
}
```

### Responses

#### 201

Content type: `application/json` · `array of MemberPackageProductSeat`

| Name | Type | Description |
| --- | --- | --- |
| `[].memberPackageProductId` (Required when parent is present) | `number` |   |
| `[].memberId` (Required when parent is present) | `string` |   |
| `[].email` (Required when parent is present) | `string` | Can be null |
| `[].accepted` (Required when parent is present) | `boolean` |   |
| `[].acceptedAt` (Required when parent is present) | `string (date-time)` |   |
| `[].expiresAt` (Required when parent is present) | `string (date-time)` |   |
| `[].uuid` (Required when parent is present) | `string` |   |
| `[].memberPackageProduct` (Required when parent is present) | `MemberPackageProduct` |   |
| `[].memberPackageProduct.memberPackageId` (Required when parent is present) | `number` |   |
| `[].memberPackageProduct.productId` (Required when parent is present) | `number` |   |
| `[].memberPackageProduct.price` (Required when parent is present) | `number` |   |
| `[].memberPackageProduct.recurringPrice` (Required when parent is present) | `number` |   |
| `[].memberPackageProduct.quantity` (Required when parent is present) | `number` |   |
| `[].memberPackageProduct.hasAccess` (Required when parent is present) | `boolean` |   |
| `[].memberPackageProduct.shippingCountry` (Required when parent is present) | `string` |   |
| `[].memberPackageProduct.shippingProvider` (Required when parent is present) | `string` | Allowed values: `"Helthjem"`, `"Bring - Posten"`, `"Distribution Innovation"` |
| `[].memberPackageProduct.allowDistributorToUpdateDeliveryAddress` (Required when parent is present) | `boolean` |   |
| `[].memberPackageProduct.memberPackageProductEmailDomains` (Required when parent is present) | `array of MemberPackageProductEmailDomain` |   |
| `[].memberPackageProduct.memberPackageProductEmailDomains[].memberPackageProductId` (Required when parent is present) | `number` |   |
| `[].memberPackageProduct.memberPackageProductEmailDomains[].emailDomain` (Required when parent is present) | `string` |   |
| `[].memberPackageProduct.memberPackageProductEmailDomains[].updatedBy` (Required when parent is present) | `number` |   |
| `[].memberPackageProduct.memberPackageProductEmailDomains[].memberPackageProduct` (Required when parent is present) | `MemberPackageProduct` | Recursive schema; nested fields are not repeated. |
| `[].memberPackageProduct.memberPackageProductEmailDomains[].id` (Required when parent is present) | `number` |   |
| `[].memberPackageProduct.memberPackageProductEmailDomains[].createdAt` (Required when parent is present) | `string (date-time)` |   |
| `[].memberPackageProduct.memberPackageProductEmailDomains[].updatedAt` (Required when parent is present) | `string (date-time)` |   |
| `[].memberPackageProduct.memberPackageProductEmailDomains[].deletedAt` (Required when parent is present) | `string (date-time)` |   |
| `[].memberPackageProduct.memberPackageProductEmailDomains[].metaData` (Required when parent is present) | `object` |   |
| `[].memberPackageProduct.memberPackageProductIps` (Required when parent is present) | `array of MemberPackageProductIp` |   |
| `[].memberPackageProduct.memberPackageProductIps[].memberPackageProductId` (Required when parent is present) | `number` |   |
| `[].memberPackageProduct.memberPackageProductIps[].ipRange` (Required when parent is present) | `string` |   |
| `[].memberPackageProduct.memberPackageProductIps[].label` (Required when parent is present) | `string` |   |
| `[].memberPackageProduct.memberPackageProductIps[].updatedBy` (Required when parent is present) | `number` |   |
| `[].memberPackageProduct.memberPackageProductIps[].memberPackageProduct` (Required when parent is present) | `MemberPackageProduct` | Recursive schema; nested fields are not repeated. |
| `[].memberPackageProduct.memberPackageProductIps[].id` (Required when parent is present) | `number` |   |
| `[].memberPackageProduct.memberPackageProductIps[].createdAt` (Required when parent is present) | `string (date-time)` |   |
| `[].memberPackageProduct.memberPackageProductIps[].updatedAt` (Required when parent is present) | `string (date-time)` |   |
| `[].memberPackageProduct.memberPackageProductIps[].deletedAt` (Required when parent is present) | `string (date-time)` |   |
| `[].memberPackageProduct.memberPackageProductIps[].metaData` (Required when parent is present) | `object` |   |
| `[].memberPackageProduct.memberPackage` (Required when parent is present) | `MemberPackage` | Nested fields omitted: field limit. |
| `[].memberPackageProduct.product` (Required when parent is present) | `Product` | Nested fields omitted: field limit. |
| `[].memberPackageProduct.seats` (Required when parent is present) | `array of MemberPackageProductSeat` | Recursive schema; nested fields are not repeated. |
| `[].memberPackageProduct.recipients` (Required when parent is present) | `array of MemberPackageProductRecipient` | Nested fields omitted: field limit. |
| `[].memberPackageProduct.id` (Required when parent is present) | `number` |   |
| `[].memberPackageProduct.createdAt` (Required when parent is present) | `string (date-time)` |   |
| `[].memberPackageProduct.updatedAt` (Required when parent is present) | `string (date-time)` |   |
| `[].memberPackageProduct.deletedAt` (Required when parent is present) | `string (date-time)` |   |
| `[].memberPackageProduct.metaData` (Required when parent is present) | `object` |   |
| `[].member` (Required when parent is present) | `Member` |   |
| `[].member.userId` (Required when parent is present) | `number` | Can be null |
| `[].member.memberNumber` (Required when parent is present) | `number` | Can be null |
| `[].member.tenantId` (Required when parent is present) | `number` |   |
| `[].member.externalId` (Required when parent is present) | `string` | Can be null |
| `[].member.fullName` (Required when parent is present) | `string` |   |
| `[].member.nickName` (Required when parent is present) | `string` |   |
| `[].member.avatar` (Required when parent is present) | `string` |   |
| `[].member.email` (Required when parent is present) | `string` |   |
| `[].member.birthDate` (Required when parent is present) | `string (date-time)` | Can be null |
| `[].member.phone` (Required when parent is present) | `string` |   |
| `[].member.isCompany` (Required when parent is present) | `boolean` |   |
| `[].member.companyName` (Required when parent is present) | `string` | Can be null |
| `[].member.organizationNo` (Required when parent is present) | `string` | Can be null |
| `[].member.deleteAfterExpiration` (Required when parent is present) | `boolean` |   |
| `[].member.customPropertyValues` (Required when parent is present) | `object` |   |
| `[].member.productRecipients` (Required when parent is present) | `array of MemberPackageProductRecipient` | Nested fields omitted: field limit. |
| `[].member.id` (Required when parent is present) | `string` |   |
| `[].member.createdAt` (Required when parent is present) | `string (date-time)` |   |
| `[].member.updatedAt` (Required when parent is present) | `string (date-time)` |   |
| `[].member.deletedAt` (Required when parent is present) | `string (date-time)` |   |
| `[].member.metaData` (Required when parent is present) | `object` |   |
| `[].id` (Required when parent is present) | `number` |   |
| `[].createdAt` (Required when parent is present) | `string (date-time)` |   |
| `[].updatedAt` (Required when parent is present) | `string (date-time)` |   |
| `[].deletedAt` (Required when parent is present) | `string (date-time)` |   |
| `[].metaData` (Required when parent is present) | `object` |   |

#### 400

Content type: `application/json` · `ErrorResponse`

badRequest, seatLimitReached

| Name | Type | Description |
| --- | --- | --- |
| `messageCode` (Required) | `string` | Allowed values: `"badRequest"`, `"seatLimitReached"` |
| `message` | `string` |   |
| `errors` (Required) | `array of FieldError` |   |
| `errors[].field` (Required when parent is present) | `string` |   |
| `errors[].fieldValue` (Required when parent is present) | `string` |   |
| `errors[].identifier` (Required when parent is present) | `string` |   |
| `errors[].identifierValue` (Required when parent is present) | `string` |   |
| `errors[].messageCode` (Required when parent is present) | `string` |   |
| `errors[].message` | `string` |   |
| `errors[].errorType` (Required when parent is present) | `string` |   |

**Example response**

`application/json`

```json
{
  "messageCode": "badRequest",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 401

Content type: `application/json` · `ErrorResponse`

unauthorized

| Name | Type | Description |
| --- | --- | --- |
| `messageCode` (Required) | `string` | Allowed values: `"unauthorized"` |
| `message` | `string` |   |
| `errors` (Required) | `array of FieldError` |   |
| `errors[].field` (Required when parent is present) | `string` |   |
| `errors[].fieldValue` (Required when parent is present) | `string` |   |
| `errors[].identifier` (Required when parent is present) | `string` |   |
| `errors[].identifierValue` (Required when parent is present) | `string` |   |
| `errors[].messageCode` (Required when parent is present) | `string` |   |
| `errors[].message` | `string` |   |
| `errors[].errorType` (Required when parent is present) | `string` |   |

**Example response**

`application/json`

```json
{
  "messageCode": "unauthorized",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 403

Content type: `application/json` · `ErrorResponse`

forbiddenResource

Same fields as [Get mypage cards settings of a tenant (401)](https://www.subrite.no/developers/member-profile?md=true#get-api-v1-members-profile-mypage-cards-settings).

**Example response**

`application/json`

```json
{
  "messageCode": "string",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 404

Content type: `application/json` · `ErrorResponse`

notFound, productNotFound

| Name | Type | Description |
| --- | --- | --- |
| `messageCode` (Required) | `string` | Allowed values: `"notFound"`, `"productNotFound"` |
| `message` | `string` |   |
| `errors` (Required) | `array of FieldError` |   |
| `errors[].field` (Required when parent is present) | `string` |   |
| `errors[].fieldValue` (Required when parent is present) | `string` |   |
| `errors[].identifier` (Required when parent is present) | `string` |   |
| `errors[].identifierValue` (Required when parent is present) | `string` |   |
| `errors[].messageCode` (Required when parent is present) | `string` |   |
| `errors[].message` | `string` |   |
| `errors[].errorType` (Required when parent is present) | `string` |   |

**Example response**

`application/json`

```json
{
  "messageCode": "notFound",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 500

Content type: `application/json` · `ErrorResponse`

internalServerError

Same fields as [Get mypage cards settings of a tenant (401)](https://www.subrite.no/developers/member-profile?md=true#get-api-v1-members-profile-mypage-cards-settings).

### Example request

```bash
curl https://api.subrite.no/api/v1/members/profile/join-subscriptions \
  --request POST \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "memberPackageProductIds": [
    12,
    45
  ]
}'
```

### Example response

201 · `application/json`

```json
[
  {
    "memberPackageProductId": 0,
    "memberId": "string",
    "email": "string",
    "accepted": true,
    "acceptedAt": "2019-08-24T14:15:22Z",
    "expiresAt": "2019-08-24T14:15:22Z",
    "uuid": "string",
    "memberPackageProduct": {
      "memberPackageProductEmailDomains": [],
      "memberPackageProductIps": [],
      "seats": [],
      "recipients": [],
      "metaData": {}
    },
    "member": {
      "customPropertyValues": {},
      "productRecipients": [],
      "metaData": {}
    },
    "id": 0,
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z",
    "deletedAt": "2019-08-24T14:15:22Z",
    "metaData": {}
  }
]
```

<a id="get-api-v1-members-profile"></a>
## Get logged in member personal info

`GET /api/v1/members/profile`

**Authentication:** Bearer token (JWT)

### Responses

#### 200

Content type: `application/json` · `MemberPersonalInfo`

| Name | Type | Description |
| --- | --- | --- |
| `id` (Required) | `string` |   |
| `fullName` (Required) | `string` |   |
| `nickName` (Required) | `string` |   |
| `createdAt` (Required) | `string (date-time)` |   |
| `avatar` (Required) | `string` |   |
| `countryCode` | `string` |   |
| `birthDate` (Required) | `string (date-time)` |   |
| `deleteAfterExpiration` (Required) | `boolean` |   |
| `isCompany` (Required) | `boolean` |   |
| `companyName` (Required) | `string` |   |
| `organizationNo` (Required) | `string` |   |
| `customPropertyValues` (Required) | `object` |   |
| `emailVerified` | `string` |   |
| `phoneVerified` (Required) | `boolean` |   |
| `memberNumber` (Required) | `number` |   |
| `userId` (Required) | `number` |   |
| `emailStatus` | `SENDGRID_MAIL_EVENTS` | Allowed values: `"scheduled"`, `"processed"`, `"dropped"`, `"deferred"`, `"bounce"`, `"hard_bounce"`, `"soft_bounce"`, `"spamreport"`, `"delivered"`, `"unsubscribe"`, `"group_unsubscribe"`, `"group_resubscribe"`, `"open"`, `"failed"`, `"click"`, `"skipped_bounced"` |
| `email` (Required) | `string (email)` |   |
| `phone` (Required) | `string` |   |
| `address` (Required) | `ProfileAddress` |   |
| `address.line1` (Required) | `string` |   |
| `address.line2` (Required) | `string` |   |
| `address.city` (Required) | `string` |   |
| `address.postCode` (Required) | `string` |   |
| `address.country` (Required) | `string` |   |
| `address.name` (Required) | `string` |   |
| `address.email` (Required) | `string` |   |
| `address.companyName` (Required) | `string` |   |
| `address.organizationNo` (Required) | `string` |   |
| `address.invoiceReference` | `string` |   |
| `address.isSynced` | `boolean` |   |
| `address.lastSyncedAt` | `string (date-time)` |   |

#### 401

Content type: `application/json` · `ErrorResponse`

unauthorized

Same fields as [Get mypage cards settings of a tenant (401)](https://www.subrite.no/developers/member-profile?md=true#get-api-v1-members-profile-mypage-cards-settings).

**Example response**

`application/json`

```json
{
  "messageCode": "string",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 403

Content type: `application/json` · `ErrorResponse`

forbiddenResource

Same fields as [Get mypage cards settings of a tenant (401)](https://www.subrite.no/developers/member-profile?md=true#get-api-v1-members-profile-mypage-cards-settings).

#### 404

Content type: `application/json` · `ErrorResponse`

notFound, memberNotFound

| Name | Type | Description |
| --- | --- | --- |
| `messageCode` (Required) | `string` | Allowed values: `"notFound"`, `"memberNotFound"` |
| `message` | `string` |   |
| `errors` (Required) | `array of FieldError` |   |
| `errors[].field` (Required when parent is present) | `string` |   |
| `errors[].fieldValue` (Required when parent is present) | `string` |   |
| `errors[].identifier` (Required when parent is present) | `string` |   |
| `errors[].identifierValue` (Required when parent is present) | `string` |   |
| `errors[].messageCode` (Required when parent is present) | `string` |   |
| `errors[].message` | `string` |   |
| `errors[].errorType` (Required when parent is present) | `string` |   |

**Example response**

`application/json`

```json
{
  "messageCode": "notFound",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 500

Content type: `application/json` · `ErrorResponse`

internalServerError

Same fields as [Get mypage cards settings of a tenant (401)](https://www.subrite.no/developers/member-profile?md=true#get-api-v1-members-profile-mypage-cards-settings).

### Example request

```bash
curl https://api.subrite.no/api/v1/members/profile \
  --header 'Authorization: Bearer <token>'
```

### Example response

200 · `application/json`

```json
{
  "id": "string",
  "fullName": "<fullName>",
  "nickName": "string",
  "createdAt": "2019-08-24T14:15:22Z",
  "avatar": "string",
  "countryCode": "string",
  "birthDate": "<birthDate>",
  "deleteAfterExpiration": true,
  "isCompany": true,
  "companyName": "string",
  "organizationNo": "string",
  "customPropertyValues": {},
  "emailVerified": "string",
  "phoneVerified": true,
  "memberNumber": 0,
  "userId": 0,
  "emailStatus": "scheduled",
  "email": "user@example.com",
  "phone": "<phone>",
  "address": {
    "line1": "string",
    "line2": "string",
    "city": "string",
    "postCode": "string",
    "country": "string",
    "name": "string",
    "email": "string",
    "companyName": "string",
    "organizationNo": "string",
    "invoiceReference": "string",
    "isSynced": true,
    "lastSyncedAt": "2019-08-24T14:15:22Z"
  }
}
```

<a id="patch-api-v1-members-profile"></a>
## Update logged in member profile

`PATCH /api/v1/members/profile`

**Authentication:** Bearer token (JWT)

### Request body

Content type: `application/json` · Required · `UpdateMemberPersonalInfo`

| Name | Type | Description |
| --- | --- | --- |
| `fullName` | `string` |   |
| `email` | `string (email)` | `maxLength`: `255` |
| `birthDate` | `string (date-time)` |   |
| `nickName` | `string` | `maxLength`: `255` |
| `phone` | `string` | `maxLength`: `32` |
| `countryCode` | `string` | `maxLength`: `8` |
| `isCompany` | `boolean` |   |
| `companyName` | `string` | `maxLength`: `255` |
| `address` | `MemberAddressDto` |   |
| `address.line1` | `string` | `maxLength`: `255` |
| `address.line2` | `string` | `maxLength`: `255` |
| `address.city` | `string` | `maxLength`: `255` |
| `address.state` | `string` | `maxLength`: `255` |
| `address.postCode` | `string` | `maxLength`: `32` |
| `address.country` | `string` | `maxLength`: `64` |
| `address.name` | `string` | `maxLength`: `255` |
| `address.email` | `string (email)` | `maxLength`: `255` |
| `address.organizationNo` | `string` | `maxLength`: `64` |
| `address.companyName` | `string` | `maxLength`: `255` |
| `address.invoiceReference` | `string` | `maxLength`: `255` |
| `customPropertyValues` | `object` |   |
| `deleteAfterExpiration` | `boolean` |   |

**Example request body**

`application/json`

```json
{
  "fullName": "<fullName>",
  "email": "user@example.com",
  "birthDate": "<birthDate>",
  "nickName": "string",
  "phone": "<phone>",
  "countryCode": "string",
  "isCompany": true,
  "companyName": "string",
  "address": {
    "line1": "string",
    "line2": "string",
    "city": "string",
    "state": "string",
    "postCode": "string",
    "country": "string",
    "name": "string",
    "email": "user@example.com",
    "organizationNo": "string",
    "companyName": "string",
    "invoiceReference": "string"
  },
  "customPropertyValues": {},
  "deleteAfterExpiration": true
}
```

### Responses

#### 200

Content type: `application/json` · `MemberPersonalInfo`

Same fields as [Get logged in member personal info (200)](https://www.subrite.no/developers/member-profile?md=true#get-api-v1-members-profile).

#### 400

Content type: `application/json` · `ErrorResponse`

badRequest, alreadyExists, emailChangeRequiresVerification, phoneChangeRequiresVerification

| Name | Type | Description |
| --- | --- | --- |
| `messageCode` (Required) | `string` | Allowed values: `"badRequest"`, `"alreadyExists"`, `"emailChangeRequiresVerification"`, `"phoneChangeRequiresVerification"` |
| `message` | `string` |   |
| `errors` (Required) | `array of FieldError` |   |
| `errors[].field` (Required when parent is present) | `string` |   |
| `errors[].fieldValue` (Required when parent is present) | `string` |   |
| `errors[].identifier` (Required when parent is present) | `string` |   |
| `errors[].identifierValue` (Required when parent is present) | `string` |   |
| `errors[].messageCode` (Required when parent is present) | `string` |   |
| `errors[].message` | `string` |   |
| `errors[].errorType` (Required when parent is present) | `string` |   |

**Example response**

`application/json`

```json
{
  "messageCode": "badRequest",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 401

Content type: `application/json` · `ErrorResponse`

unauthorized

Same fields as [Get mypage cards settings of a tenant (401)](https://www.subrite.no/developers/member-profile?md=true#get-api-v1-members-profile-mypage-cards-settings).

**Example response**

`application/json`

```json
{
  "messageCode": "string",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 403

Content type: `application/json` · `ErrorResponse`

forbiddenResource

Same fields as [Get mypage cards settings of a tenant (401)](https://www.subrite.no/developers/member-profile?md=true#get-api-v1-members-profile-mypage-cards-settings).

#### 500

Content type: `application/json` · `ErrorResponse`

internalServerError

Same fields as [Get mypage cards settings of a tenant (401)](https://www.subrite.no/developers/member-profile?md=true#get-api-v1-members-profile-mypage-cards-settings).

### Example request

```bash
curl https://api.subrite.no/api/v1/members/profile \
  --request PATCH \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "fullName": "<fullName>",
  "email": "user@example.com",
  "birthDate": "<birthDate>",
  "nickName": "string",
  "phone": "<phone>",
  "countryCode": "string",
  "isCompany": true,
  "companyName": "string",
  "address": {
    "line1": "string",
    "line2": "string",
    "city": "string",
    "state": "string",
    "postCode": "string",
    "country": "string",
    "name": "string",
    "email": "user@example.com",
    "organizationNo": "string",
    "companyName": "string",
    "invoiceReference": "string"
  },
  "customPropertyValues": {},
  "deleteAfterExpiration": true
}'
```

### Example response

200 · `application/json`

```json
{
  "id": "string",
  "fullName": "<fullName>",
  "nickName": "string",
  "createdAt": "2019-08-24T14:15:22Z",
  "avatar": "string",
  "countryCode": "string",
  "birthDate": "<birthDate>",
  "deleteAfterExpiration": true,
  "isCompany": true,
  "companyName": "string",
  "organizationNo": "string",
  "customPropertyValues": {},
  "emailVerified": "string",
  "phoneVerified": true,
  "memberNumber": 0,
  "userId": 0,
  "emailStatus": "scheduled",
  "email": "user@example.com",
  "phone": "<phone>",
  "address": {
    "line1": "string",
    "line2": "string",
    "city": "string",
    "postCode": "string",
    "country": "string",
    "name": "string",
    "email": "string",
    "companyName": "string",
    "organizationNo": "string",
    "invoiceReference": "string",
    "isSynced": true,
    "lastSyncedAt": "2019-08-24T14:15:22Z"
  }
}
```

<a id="get-api-v1-members-profile-subscriptions"></a>
## Get logged in member subscriptions

`GET /api/v1/members/profile/subscriptions`

**Authentication:** Bearer token (JWT)

### Parameters

| Name | In | Type | Description |
| --- | --- | --- | --- |
| `status` | query | `member_package_status_enum` | Allowed values: `"active"`, `"inactive"`, `"pending"`, `"paused"`, `"stopped"`, `"expired"`, `"waiting_for_activation"` |
| `statusGroup` | query | `subscription_access_group` | Coarse Active/Inactive filter used by the member subscription list. Takes precedence over `status`. · Allowed values: `"active"`, `"inactive"` |

### Responses

#### 200

Content type: `application/json` · `array of SubscriptionListItem`

| Name | Type | Description |
| --- | --- | --- |
| `[].id` (Required when parent is present) | `number` |   |
| `[].packageId` (Required when parent is present) | `number` |   |
| `[].name` (Required when parent is present) | `string` |   |
| `[].slug` (Required when parent is present) | `string` |   |
| `[].status` (Required when parent is present) | `string` | Allowed values: `"active"`, `"inactive"`, `"pending"`, `"paused"`, `"stopped"`, `"expired"`, `"waiting_for_activation"` |
| `[].nextRenewal` (Required when parent is present) | `string (date-time)` |   |
| `[].hasChange` (Required when parent is present) | `boolean` |   |
| `[].changePlanName` | `string` | Can be null |
| `[].scheduledActivationDate` | `string (date-time)` | Can be null |

#### 401

Content type: `application/json` · `ErrorResponse`

unauthorized

Same fields as [Get mypage cards settings of a tenant (401)](https://www.subrite.no/developers/member-profile?md=true#get-api-v1-members-profile-mypage-cards-settings).

**Example response**

`application/json`

```json
{
  "messageCode": "string",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 403

Content type: `application/json` · `ErrorResponse`

forbiddenResource

Same fields as [Get mypage cards settings of a tenant (401)](https://www.subrite.no/developers/member-profile?md=true#get-api-v1-members-profile-mypage-cards-settings).

#### 404

Content type: `application/json` · `ErrorResponse`

notFound

| Name | Type | Description |
| --- | --- | --- |
| `messageCode` (Required) | `string` | Allowed values: `"notFound"` |
| `message` | `string` |   |
| `errors` (Required) | `array of FieldError` |   |
| `errors[].field` (Required when parent is present) | `string` |   |
| `errors[].fieldValue` (Required when parent is present) | `string` |   |
| `errors[].identifier` (Required when parent is present) | `string` |   |
| `errors[].identifierValue` (Required when parent is present) | `string` |   |
| `errors[].messageCode` (Required when parent is present) | `string` |   |
| `errors[].message` | `string` |   |
| `errors[].errorType` (Required when parent is present) | `string` |   |

**Example response**

`application/json`

```json
{
  "messageCode": "notFound",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 500

Content type: `application/json` · `ErrorResponse`

internalServerError

Same fields as [Get mypage cards settings of a tenant (401)](https://www.subrite.no/developers/member-profile?md=true#get-api-v1-members-profile-mypage-cards-settings).

### Example request

```bash
curl https://api.subrite.no/api/v1/members/profile/subscriptions \
  --header 'Authorization: Bearer <token>'
```

### Example response

200 · `application/json`

```json
[
  {
    "id": 0,
    "packageId": 0,
    "name": "string",
    "slug": "string",
    "status": "active",
    "nextRenewal": "2019-08-24T14:15:22Z",
    "hasChange": true,
    "changePlanName": "string",
    "scheduledActivationDate": "2019-08-24T14:15:22Z"
  }
]
```

<a id="get-api-v1-members-profile-invoices"></a>
## Get logged in member invoices

`GET /api/v1/members/profile/invoices`

**Authentication:** Bearer token (JWT)

### Responses

#### 200

Content type: `application/json` · `array of InvoiceResponse`

| Name | Type | Description |
| --- | --- | --- |
| `[].id` (Required when parent is present) | `number` |   |
| `[].type` (Required when parent is present) | `TransactionResponseType` | Allowed values: `"payment"`, `"refund"`, `"invoice"`, `"credit_note"`, `"rounding_adjustment"` |
| `[].invoiceNo` (Required when parent is present) | `number` |   |
| `[].invoiceDate` (Required when parent is present) | `string (date-time)` |   |
| `[].packName` (Required when parent is present) | `string` |   |
| `[].memberPackageId` (Required when parent is present) | `number` |   |
| `[].memberId` (Required when parent is present) | `string` |   |
| `[].memberEmail` (Required when parent is present) | `string` |   |
| `[].memberName` | `string` |   |
| `[].totalAmount` (Required when parent is present) | `number` |   |
| `[].status` (Required when parent is present) | `INVOICE_STATUS` | Allowed values: `"paid"`, `"unpaid"`, `"over-due"`, `"over-paid"`, `"partially-paid"`, `"refunded"`, `"credited"`, `"partially-credited"` |
| `[].memberPackageStatus` | `MEMBER_PACKAGE_STATUS` | Allowed values: `"active"`, `"inactive"`, `"pending"`, `"paused"`, `"stopped"`, `"expired"`, `"waiting_for_activation"` |
| `[].deliveryStatus` | `INVOICE_DELIVERY_STATUS` | Allowed values: `"sent_via_einvoice"`, `"sent_via_email"`, `"sent_via_sms"`, `"sent_via_payment_gateway"`, `"sent_manually"`, `"in_progress"`, `"not_sent"` |
| `[].isCreditNote` (Required when parent is present) | `boolean` |   |
| `[].referencedInvoiceNumber` | `number` |   |
| `[].kid` (Required when parent is present) | `string` |   |
| `[].note` (Required when parent is present) | `string` |   |
| `[].paymentProvider` (Required when parent is present) | `PAYMENT_PROVIDER` | Allowed values: `"stripe"`, `"vipps"`, `"external"`, `"nets"`, `"efaktura-avtalegiro-ehf"`, `"swedbankpay"` |
| `[].memberNumber` (Required when parent is present) | `number` |   |
| `[].invoiceDueDate` | `string (date-time)` |   |
| `[].orderId` (Required when parent is present) | `number` |   |
| `[].autoGenerated` (Required when parent is present) | `boolean` |   |
| `[].creditNoteNumbers` | `array of number` | Numbers of the credit notes referencing this invoice. Only populated by endpoints that load credit notes (currently the member invoice list); undefined elsewhere does not mean nothing was credited. |

#### 401

Content type: `application/json` · `ErrorResponse`

unauthorized

Same fields as [Get mypage cards settings of a tenant (401)](https://www.subrite.no/developers/member-profile?md=true#get-api-v1-members-profile-mypage-cards-settings).

**Example response**

`application/json`

```json
{
  "messageCode": "string",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 403

Content type: `application/json` · `ErrorResponse`

forbiddenResource

Same fields as [Get mypage cards settings of a tenant (401)](https://www.subrite.no/developers/member-profile?md=true#get-api-v1-members-profile-mypage-cards-settings).

#### 404

Content type: `application/json` · `ErrorResponse`

notFound

Same fields as [Get logged in member subscriptions (404)](https://www.subrite.no/developers/member-profile?md=true#get-api-v1-members-profile-subscriptions).

**Example response**

`application/json`

```json
{
  "messageCode": "notFound",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 500

Content type: `application/json` · `ErrorResponse`

internalServerError

Same fields as [Get mypage cards settings of a tenant (401)](https://www.subrite.no/developers/member-profile?md=true#get-api-v1-members-profile-mypage-cards-settings).

### Example request

```bash
curl https://api.subrite.no/api/v1/members/profile/invoices \
  --header 'Authorization: Bearer <token>'
```

### Example response

200 · `application/json`

```json
[
  {
    "id": 0,
    "type": "payment",
    "invoiceNo": 0,
    "invoiceDate": "2019-08-24T14:15:22Z",
    "packName": "string",
    "memberPackageId": 0,
    "memberId": "string",
    "memberEmail": "string",
    "memberName": "<memberName>",
    "totalAmount": 0,
    "status": "paid",
    "memberPackageStatus": "active",
    "deliveryStatus": "sent_via_einvoice",
    "isCreditNote": true,
    "referencedInvoiceNumber": 0,
    "kid": "string",
    "note": "string",
    "paymentProvider": "stripe",
    "memberNumber": 0,
    "invoiceDueDate": "2019-08-24T14:15:22Z",
    "orderId": 0,
    "autoGenerated": true,
    "creditNoteNumbers": []
  }
]
```

<a id="get-api-v1-members-profile-orders"></a>
## Get logged in member orders

`GET /api/v1/members/profile/orders`

**Authentication:** Bearer token (JWT)

### Parameters

| Name | In | Type | Description |
| --- | --- | --- | --- |
| `page` | query | `number` | Default: `1` · `minimum`: `1` |
| `take` | query | `number` | Default: `10` · `minimum`: `1`, `maximum`: `50` |
| `orderBy` | query | `string` | Allowed values: `"createdAt"`, `"id"`, `"updatedAt"` · Default: `"createdAt"` |
| `orderDirection` | query | `string` | Allowed values: `"asc"`, `"desc"` · Default: `"desc"` |

### Responses

#### 200

Content type: `application/json` · `OrderResponsePaginated`

| Name | Type | Description |
| --- | --- | --- |
| `items` (Required) | `array of OrderResponse` |   |
| `items[].id` (Required when parent is present) | `number` |   |
| `items[].orderDate` (Required when parent is present) | `string (date-time)` |   |
| `items[].orderNumber` (Required when parent is present) | `number` |   |
| `items[].paymentStatus` (Required when parent is present) | `PAYMENT_STATUS` | Allowed values: `"pending"`, `"succeeded"`, `"failed"` |
| `items[].amount` (Required when parent is present) | `number` |   |
| `items[].credit` (Required when parent is present) | `number` |   |
| `items[].debit` (Required when parent is present) | `number` |   |
| `items[].packageName` (Required when parent is present) | `string` |   |
| `items[].planName` (Required when parent is present) | `string` |   |
| `items[].paymentProvider` (Required when parent is present) | `PAYMENT_PROVIDER` | Allowed values: `"stripe"`, `"vipps"`, `"external"`, `"nets"`, `"efaktura-avtalegiro-ehf"`, `"swedbankpay"` |
| `items[].currency` (Required when parent is present) | `string` |   |
| `items[].billingPeriodInfo` (Required when parent is present) | `BillingPeriodInfo` |   |
| `items[].billingPeriodInfo.billingPeriod` (Required when parent is present) | `string` |   |
| `items[].billingPeriodInfo.customBillingPeriod` (Required when parent is present) | `BillingPeriodDetails` | Nested fields omitted: depth limit. |
| `items[].allowedPaymentProviders` (Required when parent is present) | `array of PAYMENT_PROVIDER` | Allowed values: `"stripe"`, `"vipps"`, `"external"`, `"nets"`, `"efaktura-avtalegiro-ehf"`, `"swedbankpay"` |
| `items[].tenantId` (Required when parent is present) | `number` |   |
| `items[].upgradeData` | `MemberPackageChangeData` |   |
| `items[].upgradeData.planChange` (Required when parent is present) | `PlanChange` | Nested fields omitted: depth limit. |
| `items[].upgradeData.productChange` (Required when parent is present) | `array of ProductChange` | Nested fields omitted: depth limit. |
| `items[].upgradeData.optionalProducts` (Required when parent is present) | `array of OptionalProductWithQuantity` | Nested fields omitted: depth limit. |
| `items[].upgradeData.planProductPrices` | `array of PlanProductPriceSnapshot` | Nested fields omitted: depth limit. |
| `items[].upgradeData.seatTransferMap` | `array of SeatTransferMappingDto` | Nested fields omitted: depth limit. |
| `items[].memberPackageId` (Required when parent is present) | `number` |   |
| `items[].recurringPriceAtOrder` (Required when parent is present) | `number` |   |
| `items[].paymentId` (Required when parent is present) | `number` |   |
| `items[].paymentToken` (Required when parent is present) | `string` |   |
| `items[].type` (Required when parent is present) | `string` | Allowed values: `"initial"`, `"recurrent"`, `"upgrade"`, `"credit-note"`, `"standalone"` |
| `items[].orderItems` (Required when parent is present) | `array of OrderItem` |   |
| `items[].orderItems[].orderId` (Required when parent is present) | `number` |   |
| `items[].orderItems[].productId` (Required when parent is present) | `number` |   |
| `items[].orderItems[].name` (Required when parent is present) | `string` |   |
| `items[].orderItems[].price` (Required when parent is present) | `number` |   |
| `items[].orderItems[].tax` (Required when parent is present) | `number` |   |
| `items[].orderItems[].quantity` (Required when parent is present) | `number` |   |
| `items[].orderItems[].note` (Required when parent is present) | `string` |   |
| `items[].orderItems[].order` (Required when parent is present) | `Order` | Nested fields omitted: depth limit. |
| `items[].orderItems[].product` (Required when parent is present) | `Product` | Nested fields omitted: depth limit. |
| `items[].orderItems[].id` (Required when parent is present) | `number` |   |
| `items[].orderItems[].createdAt` (Required when parent is present) | `string (date-time)` |   |
| `items[].orderItems[].updatedAt` (Required when parent is present) | `string (date-time)` |   |
| `items[].orderItems[].deletedAt` (Required when parent is present) | `string (date-time)` |   |
| `items[].orderItems[].metaData` (Required when parent is present) | `object` |   |
| `items[].payment` (Required when parent is present) | `Payment` | Nested fields omitted: field limit. |
| `items[].memberPackage` (Required when parent is present) | `MemberPackage` | Nested fields omitted: field limit. |
| `items[].invoice` (Required when parent is present) | `Invoice` | Nested fields omitted: field limit. |
| `items[].tenant` (Required when parent is present) | `Tenant` | Nested fields omitted: field limit. |
| `items[].memberPackageChange` (Required when parent is present) | `MemberPackageChange` |   |
| `items[].memberPackageChange.isImmediate` (Required when parent is present) | `boolean` |   |
| `items[].memberPackageChange.changeInPrice` (Required when parent is present) | `number` |   |
| `items[].memberPackageChange.status` (Required when parent is present) | `string` | Allowed values: `"CREATED"`, `"PAYMENT_PENDING"`, `"CONFIRMATION_PENDING_FOR_NEXT_RENEWAL"`, `"PENDING_FOR_NEXT_RENEWAL"`, `"COMPLETED"`, `"CANCELLED"` |
| `items[].memberPackageChange.data` (Required when parent is present) | `MemberPackageChangeData` | Nested fields omitted: depth limit. |
| `items[].memberPackageChange.updatedBy` (Required when parent is present) | `number` |   |
| `items[].memberPackageChange.memberPackage` (Required when parent is present) | `MemberPackage` | Nested fields omitted: depth limit. |
| `items[].memberPackageChange.order` (Required when parent is present) | `Order` | Nested fields omitted: depth limit. |
| `items[].memberPackageChange.id` (Required when parent is present) | `number` |   |
| `items[].memberPackageChange.createdAt` (Required when parent is present) | `string (date-time)` |   |
| `items[].memberPackageChange.updatedAt` (Required when parent is present) | `string (date-time)` |   |
| `items[].memberPackageChange.deletedAt` (Required when parent is present) | `string (date-time)` |   |
| `items[].memberPackageChange.metaData` (Required when parent is present) | `object` |   |
| `items[].createdAt` (Required when parent is present) | `string (date-time)` |   |
| `items[].updatedAt` (Required when parent is present) | `string (date-time)` |   |
| `items[].deletedAt` (Required when parent is present) | `string (date-time)` |   |
| `items[].metaData` (Required when parent is present) | `object` |   |
| `meta` (Required) | `PageMeta` |   |
| `meta.page` (Required) | `number` |   |
| `meta.take` (Required) | `number` |   |
| `meta.count` (Required) | `number` |   |
| `meta.pageCount` (Required) | `number` |   |
| `meta.hasPreviousPage` (Required) | `boolean` |   |
| `meta.hasNextPage` (Required) | `boolean` |   |

#### 401

Content type: `application/json` · `ErrorResponse`

unauthorized

Same fields as [Get mypage cards settings of a tenant (401)](https://www.subrite.no/developers/member-profile?md=true#get-api-v1-members-profile-mypage-cards-settings).

**Example response**

`application/json`

```json
{
  "messageCode": "string",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 403

Content type: `application/json` · `ErrorResponse`

forbiddenResource

Same fields as [Get mypage cards settings of a tenant (401)](https://www.subrite.no/developers/member-profile?md=true#get-api-v1-members-profile-mypage-cards-settings).

#### 404

Content type: `application/json` · `ErrorResponse`

notFound

Same fields as [Get logged in member subscriptions (404)](https://www.subrite.no/developers/member-profile?md=true#get-api-v1-members-profile-subscriptions).

**Example response**

`application/json`

```json
{
  "messageCode": "notFound",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 500

Content type: `application/json` · `ErrorResponse`

internalServerError

Same fields as [Get mypage cards settings of a tenant (401)](https://www.subrite.no/developers/member-profile?md=true#get-api-v1-members-profile-mypage-cards-settings).

### Example request

```bash
curl https://api.subrite.no/api/v1/members/profile/orders \
  --header 'Authorization: Bearer <token>'
```

### Example response

200 · `application/json`

```json
{
  "items": [
    {
      "allowedPaymentProviders": [],
      "orderItems": [],
      "metaData": {}
    }
  ],
  "meta": {
    "page": 0,
    "take": 0,
    "count": 0,
    "pageCount": 0,
    "hasPreviousPage": true,
    "hasNextPage": true
  }
}
```

<a id="get-api-v1-members-profile-info-with-content-access"></a>
## Get logged in member info with content access

`GET /api/v1/members/profile/info-with-content-access`

**Authentication:** Bearer token (JWT)

### Responses

#### 200

Content type: `application/json` · `MemberWithSubscriptions`

| Name | Type | Description |
| --- | --- | --- |
| `id` (Required) | `string` |   |
| `fullName` (Required) | `string` |   |
| `memberNumber` (Required) | `number` |   |
| `userType` (Required) | `UserType` | Allowed values: `"system_admin"`, `"tenant_admin"`, `"member"`, `"not_set"` |
| `userId` (Required) | `number` |   |
| `nickName` (Required) | `string` |   |
| `avatar` (Required) | `string` |   |
| `subscriptions` (Required) | `array of ActiveSubscriptionInfo` |   |
| `subscriptions[].createdAt` (Required when parent is present) | `string (date-time)` |   |
| `subscriptions[].activatedAt` (Required when parent is present) | `string (date-time)` |   |
| `subscriptions[].expiresAt` (Required when parent is present) | `string (date-time)` |   |
| `subscriptions[].autoRenew` (Required when parent is present) | `boolean` |   |
| `subscriptions[].subscriptionId` (Required when parent is present) | `number` |   |
| `subscriptions[].packageId` (Required when parent is present) | `number` |   |
| `subscriptions[].packageName` (Required when parent is present) | `string` |   |
| `subscriptions[].status` (Required when parent is present) | `MEMBER_PACKAGE_STATUS` | Allowed values: `"active"`, `"inactive"`, `"pending"`, `"paused"`, `"stopped"`, `"expired"`, `"waiting_for_activation"` |
| `subscriptions[].subscriptionProducts` (Required when parent is present) | `array of SubscriptionPlanProducts` |   |
| `subscriptions[].subscriptionProducts[].id` (Required when parent is present) | `number` |   |
| `subscriptions[].subscriptionProducts[].name` (Required when parent is present) | `string` |   |
| `subscriptions[].subscriptionProducts[].hasAccess` (Required when parent is present) | `boolean` |   |
| `customPropertyValues` (Required) | `object` |   |
| `contentChannels` | `array of ContentChannel` |   |
| `contentChannels[].id` (Required when parent is present) | `number` |   |
| `contentChannels[].name` (Required when parent is present) | `string` |   |
| `contentChannels[].description` (Required when parent is present) | `string` |   |
| `contentChannels[].tenant` (Required when parent is present) | `Tenant` | Nested fields omitted: field limit. |
| `contentChannels[].tenantId` (Required when parent is present) | `number` |   |
| `contentChannels[].createdAt` (Required when parent is present) | `string (date-time)` |   |
| `contentChannels[].updatedAt` (Required when parent is present) | `string (date-time)` |   |
| `podcasts` | `array of PodcastDto` |   |
| `podcasts[].id` (Required when parent is present) | `number` |   |
| `podcasts[].podcastUrlSignature` (Required when parent is present) | `string` |   |
| `podcasts[].imageUrl` (Required when parent is present) | `string` |   |
| `podcasts[].name` (Required when parent is present) | `string` |   |
| `podcasts[].description` (Required when parent is present) | `string` |   |
| `podcasts[].sortOrder` (Required when parent is present) | `number` |   |
| `podcasts[].showUrl` (Required when parent is present) | `string` |   |
| `consents` | `array of MemberConsentDto` |   |
| `consents[].id` (Required when parent is present) | `number` |   |
| `consents[].updatedAt` (Required when parent is present) | `string (date-time)` |   |
| `consents[].title` (Required when parent is present) | `string` |   |
| `consents[].description` (Required when parent is present) | `string` |   |
| `consents[].image` (Required when parent is present) | `string` |   |
| `consents[].showOnCheckoutPage` (Required when parent is present) | `boolean` |   |
| `consents[].showOnMyPage` (Required when parent is present) | `boolean` |   |
| `consents[].status` (Required when parent is present) | `object` |   |
| `consents[].sortOrder` (Required when parent is present) | `number` |   |
| `consents[].frequency` (Required when parent is present) | `string` |   |
| `consents[].newsletterProviderConfigId` (Required when parent is present) | `number` | Can be null |
| `consents[].consentStatus` (Required when parent is present) | `string` |   |
| `consents[].purpose` (Required when parent is present) | `string` | Allowed values: `"marketing_and_newsletter"`, `"consent"` |
| `consents[].visibility` (Required when parent is present) | `string` | Allowed values: `"subscriber"`, `"nonSubscriber"`, `"all"` |
| `phone` (Required) | `string` |   |
| `email` (Required) | `string (email)` |   |
| `address` (Required) | `ProfileAddress` |   |
| `address.line1` (Required) | `string` |   |
| `address.line2` (Required) | `string` |   |
| `address.city` (Required) | `string` |   |
| `address.postCode` (Required) | `string` |   |
| `address.country` (Required) | `string` |   |
| `address.name` (Required) | `string` |   |
| `address.email` (Required) | `string` |   |
| `address.companyName` (Required) | `string` |   |
| `address.organizationNo` (Required) | `string` |   |
| `address.invoiceReference` | `string` |   |
| `address.isSynced` | `boolean` |   |
| `address.lastSyncedAt` | `string (date-time)` |   |

#### 401

Content type: `application/json` · `ErrorResponse`

unauthorized

Same fields as [Get mypage cards settings of a tenant (401)](https://www.subrite.no/developers/member-profile?md=true#get-api-v1-members-profile-mypage-cards-settings).

**Example response**

`application/json`

```json
{
  "messageCode": "string",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 403

Content type: `application/json` · `ErrorResponse`

forbiddenResource

Same fields as [Get mypage cards settings of a tenant (401)](https://www.subrite.no/developers/member-profile?md=true#get-api-v1-members-profile-mypage-cards-settings).

#### 404

Content type: `application/json` · `ErrorResponse`

memberNotFound

| Name | Type | Description |
| --- | --- | --- |
| `messageCode` (Required) | `string` | Allowed values: `"memberNotFound"` |
| `message` | `string` |   |
| `errors` (Required) | `array of FieldError` |   |
| `errors[].field` (Required when parent is present) | `string` |   |
| `errors[].fieldValue` (Required when parent is present) | `string` |   |
| `errors[].identifier` (Required when parent is present) | `string` |   |
| `errors[].identifierValue` (Required when parent is present) | `string` |   |
| `errors[].messageCode` (Required when parent is present) | `string` |   |
| `errors[].message` | `string` |   |
| `errors[].errorType` (Required when parent is present) | `string` |   |

**Example response**

`application/json`

```json
{
  "messageCode": "memberNotFound",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 500

Content type: `application/json` · `ErrorResponse`

internalServerError

Same fields as [Get mypage cards settings of a tenant (401)](https://www.subrite.no/developers/member-profile?md=true#get-api-v1-members-profile-mypage-cards-settings).

### Example request

```bash
curl https://api.subrite.no/api/v1/members/profile/info-with-content-access \
  --header 'Authorization: Bearer <token>'
```

### Example response

200 · `application/json`

```json
{
  "id": "string",
  "fullName": "<fullName>",
  "memberNumber": 0,
  "userType": "system_admin",
  "userId": 0,
  "nickName": "string",
  "avatar": "string",
  "subscriptions": [
    {
      "subscriptionProducts": []
    }
  ],
  "customPropertyValues": {},
  "contentChannels": [
    {}
  ],
  "podcasts": [
    {}
  ],
  "consents": [
    {
      "status": {}
    }
  ],
  "phone": "<phone>",
  "email": "user@example.com",
  "address": {
    "line1": "string",
    "line2": "string",
    "city": "string",
    "postCode": "string",
    "country": "string",
    "name": "string",
    "email": "string",
    "companyName": "string",
    "organizationNo": "string",
    "invoiceReference": "string",
    "isSynced": true,
    "lastSyncedAt": "2019-08-24T14:15:22Z"
  }
}
```

<a id="get-api-v1-members-profile-info-with-active-subscriptions"></a>
## Get logged in members basic info and active packages

`GET /api/v1/members/profile/info-with-active-subscriptions`

**Authentication:** Bearer token (JWT)

### Responses

#### 200

Content type: `application/json` · `MemberWithSubscriptions`

Same fields as [Get logged in member info with content access (200)](https://www.subrite.no/developers/member-profile?md=true#get-api-v1-members-profile-info-with-content-access).

#### 401

Content type: `application/json` · `ErrorResponse`

unauthorized

Same fields as [Get mypage cards settings of a tenant (401)](https://www.subrite.no/developers/member-profile?md=true#get-api-v1-members-profile-mypage-cards-settings).

**Example response**

`application/json`

```json
{
  "messageCode": "string",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 403

Content type: `application/json` · `ErrorResponse`

forbiddenResource

Same fields as [Get mypage cards settings of a tenant (401)](https://www.subrite.no/developers/member-profile?md=true#get-api-v1-members-profile-mypage-cards-settings).

#### 404

Content type: `application/json` · `ErrorResponse`

memberNotFound

Same fields as [Get logged in member info with content access (404)](https://www.subrite.no/developers/member-profile?md=true#get-api-v1-members-profile-info-with-content-access).

**Example response**

`application/json`

```json
{
  "messageCode": "memberNotFound",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 500

Content type: `application/json` · `ErrorResponse`

internalServerError

Same fields as [Get mypage cards settings of a tenant (401)](https://www.subrite.no/developers/member-profile?md=true#get-api-v1-members-profile-mypage-cards-settings).

### Example request

```bash
curl https://api.subrite.no/api/v1/members/profile/info-with-active-subscriptions \
  --header 'Authorization: Bearer <token>'
```

### Example response

200 · `application/json`

```json
{
  "id": "string",
  "fullName": "<fullName>",
  "memberNumber": 0,
  "userType": "system_admin",
  "userId": 0,
  "nickName": "string",
  "avatar": "string",
  "subscriptions": [
    {
      "subscriptionProducts": []
    }
  ],
  "customPropertyValues": {},
  "contentChannels": [
    {}
  ],
  "podcasts": [
    {}
  ],
  "consents": [
    {
      "status": {}
    }
  ],
  "phone": "<phone>",
  "email": "user@example.com",
  "address": {
    "line1": "string",
    "line2": "string",
    "city": "string",
    "postCode": "string",
    "country": "string",
    "name": "string",
    "email": "string",
    "companyName": "string",
    "organizationNo": "string",
    "invoiceReference": "string",
    "isSynced": true,
    "lastSyncedAt": "2019-08-24T14:15:22Z"
  }
}
```

<a id="post-api-v1-members-profile-avatar"></a>
## Set logged in member avatar or profile picture

`POST /api/v1/members/profile/avatar`

**Authentication:** Bearer token (JWT)

### Request body

Content type: `multipart/form-data` · Required · `UpdateAvatarDto`

| Name | Type | Description |
| --- | --- | --- |
| `image` | `file` |   |
| `imagePreview` | `string` |   |
| `previousImageUrl` | `string` |   |

### Responses

#### 201

Content type: `application/json` · `MemberPersonalInfo`

Same fields as [Get logged in member personal info (200)](https://www.subrite.no/developers/member-profile?md=true#get-api-v1-members-profile).

#### 400

Content type: `application/json` · `ErrorResponse`

badRequest, invalidFileType

| Name | Type | Description |
| --- | --- | --- |
| `messageCode` (Required) | `string` | Allowed values: `"badRequest"`, `"invalidFileType"` |
| `message` | `string` |   |
| `errors` (Required) | `array of FieldError` |   |
| `errors[].field` (Required when parent is present) | `string` |   |
| `errors[].fieldValue` (Required when parent is present) | `string` |   |
| `errors[].identifier` (Required when parent is present) | `string` |   |
| `errors[].identifierValue` (Required when parent is present) | `string` |   |
| `errors[].messageCode` (Required when parent is present) | `string` |   |
| `errors[].message` | `string` |   |
| `errors[].errorType` (Required when parent is present) | `string` |   |

**Example response**

`application/json`

```json
{
  "messageCode": "badRequest",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 401

Content type: `application/json` · `ErrorResponse`

unauthorized

Same fields as [Get mypage cards settings of a tenant (401)](https://www.subrite.no/developers/member-profile?md=true#get-api-v1-members-profile-mypage-cards-settings).

**Example response**

`application/json`

```json
{
  "messageCode": "string",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 403

Content type: `application/json` · `ErrorResponse`

forbiddenResource

Same fields as [Get mypage cards settings of a tenant (401)](https://www.subrite.no/developers/member-profile?md=true#get-api-v1-members-profile-mypage-cards-settings).

#### 404

Content type: `application/json` · `ErrorResponse`

memberNotFound

Same fields as [Get logged in member info with content access (404)](https://www.subrite.no/developers/member-profile?md=true#get-api-v1-members-profile-info-with-content-access).

**Example response**

`application/json`

```json
{
  "messageCode": "memberNotFound",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 413

fileSizeExceeded

#### 415

invalidFileType

#### 500

Content type: `application/json` · `ErrorResponse`

internalServerError

Same fields as [Get mypage cards settings of a tenant (401)](https://www.subrite.no/developers/member-profile?md=true#get-api-v1-members-profile-mypage-cards-settings).

### Example request

```bash
curl https://api.subrite.no/api/v1/members/profile/avatar \
  --request POST \
  --header 'Authorization: Bearer <token>' \
  --form 'image=@<file>'
```

### Example response

201 · `application/json`

```json
{
  "id": "string",
  "fullName": "<fullName>",
  "nickName": "string",
  "createdAt": "2019-08-24T14:15:22Z",
  "avatar": "string",
  "countryCode": "string",
  "birthDate": "<birthDate>",
  "deleteAfterExpiration": true,
  "isCompany": true,
  "companyName": "string",
  "organizationNo": "string",
  "customPropertyValues": {},
  "emailVerified": "string",
  "phoneVerified": true,
  "memberNumber": 0,
  "userId": 0,
  "emailStatus": "scheduled",
  "email": "user@example.com",
  "phone": "<phone>",
  "address": {
    "line1": "string",
    "line2": "string",
    "city": "string",
    "postCode": "string",
    "country": "string",
    "name": "string",
    "email": "string",
    "companyName": "string",
    "organizationNo": "string",
    "invoiceReference": "string",
    "isSynced": true,
    "lastSyncedAt": "2019-08-24T14:15:22Z"
  }
}
```

<a id="post-api-v1-members-profile-email-pre-verify"></a>
## Request email pre-verification

`POST /api/v1/members/profile/email/pre-verify`

**Authentication:** Bearer token (JWT)

### Request body

Content type: `application/json` · Required · `UpdateMemberEmailBodyDto`

| Name | Type | Description |
| --- | --- | --- |
| `email` (Required) | `string (email)` |   |

**Example request body**

`application/json`

```json
{
  "email": "user@example.com"
}
```

### Responses

#### 201

Content type: `application/json` · `OTPSendResponseDto`

| Name | Type | Description |
| --- | --- | --- |
| `hash` (Required) | `string` |   |

#### 400

Content type: `application/json` · `ErrorResponse`

alreadyExists, retryAfter5Mins, emailAlreadyVerified

| Name | Type | Description |
| --- | --- | --- |
| `messageCode` (Required) | `string` | Allowed values: `"alreadyExists"`, `"retryAfter5Mins"`, `"emailAlreadyVerified"` |
| `message` | `string` |   |
| `errors` (Required) | `array of FieldError` |   |
| `errors[].field` (Required when parent is present) | `string` |   |
| `errors[].fieldValue` (Required when parent is present) | `string` |   |
| `errors[].identifier` (Required when parent is present) | `string` |   |
| `errors[].identifierValue` (Required when parent is present) | `string` |   |
| `errors[].messageCode` (Required when parent is present) | `string` |   |
| `errors[].message` | `string` |   |
| `errors[].errorType` (Required when parent is present) | `string` |   |

**Example response**

`application/json`

```json
{
  "messageCode": "alreadyExists",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 401

Content type: `application/json` · `ErrorResponse`

unauthorized

Same fields as [Get mypage cards settings of a tenant (401)](https://www.subrite.no/developers/member-profile?md=true#get-api-v1-members-profile-mypage-cards-settings).

**Example response**

`application/json`

```json
{
  "messageCode": "string",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 403

Content type: `application/json` · `ErrorResponse`

forbiddenResource

Same fields as [Get mypage cards settings of a tenant (401)](https://www.subrite.no/developers/member-profile?md=true#get-api-v1-members-profile-mypage-cards-settings).

#### 500

Content type: `application/json` · `ErrorResponse`

internalServerError

Same fields as [Get mypage cards settings of a tenant (401)](https://www.subrite.no/developers/member-profile?md=true#get-api-v1-members-profile-mypage-cards-settings).

### Example request

```bash
curl https://api.subrite.no/api/v1/members/profile/email/pre-verify \
  --request POST \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "email": "user@example.com"
}'
```

### Example response

201 · `application/json`

```json
{
  "hash": "string"
}
```

<a id="patch-api-v1-members-profile-email"></a>
## Update email

`PATCH /api/v1/members/profile/email`

**Authentication:** Bearer token (JWT)

### Request body

Content type: `application/json` · Required · `UpdateMemberEmailDto`

| Name | Type | Description |
| --- | --- | --- |
| `email` (Required) | `string (email)` |   |
| `otp` (Required) | `string` |   |
| `hash` (Required) | `string` |   |

**Example request body**

`application/json`

```json
{
  "email": "user@example.com",
  "otp": "<otp>",
  "hash": "string"
}
```

### Responses

#### 200

Content type: `application/json` · `MemberPersonalInfo`

Same fields as [Get logged in member personal info (200)](https://www.subrite.no/developers/member-profile?md=true#get-api-v1-members-profile).

#### 400

Content type: `application/json` · `ErrorResponse`

alreadyExists, invalidOtp, otpExpired

| Name | Type | Description |
| --- | --- | --- |
| `messageCode` (Required) | `string` | Allowed values: `"alreadyExists"`, `"invalidOtp"`, `"otpExpired"` |
| `message` | `string` |   |
| `errors` (Required) | `array of FieldError` |   |
| `errors[].field` (Required when parent is present) | `string` |   |
| `errors[].fieldValue` (Required when parent is present) | `string` |   |
| `errors[].identifier` (Required when parent is present) | `string` |   |
| `errors[].identifierValue` (Required when parent is present) | `string` |   |
| `errors[].messageCode` (Required when parent is present) | `string` |   |
| `errors[].message` | `string` |   |
| `errors[].errorType` (Required when parent is present) | `string` |   |

**Example response**

`application/json`

```json
{
  "messageCode": "alreadyExists",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 401

Content type: `application/json` · `ErrorResponse`

unauthorized

Same fields as [Get mypage cards settings of a tenant (401)](https://www.subrite.no/developers/member-profile?md=true#get-api-v1-members-profile-mypage-cards-settings).

**Example response**

`application/json`

```json
{
  "messageCode": "string",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 403

Content type: `application/json` · `ErrorResponse`

forbiddenResource

Same fields as [Get mypage cards settings of a tenant (401)](https://www.subrite.no/developers/member-profile?md=true#get-api-v1-members-profile-mypage-cards-settings).

#### 500

Content type: `application/json` · `ErrorResponse`

updateFailed

| Name | Type | Description |
| --- | --- | --- |
| `messageCode` (Required) | `string` | Allowed values: `"updateFailed"` |
| `message` | `string` |   |
| `errors` (Required) | `array of FieldError` |   |
| `errors[].field` (Required when parent is present) | `string` |   |
| `errors[].fieldValue` (Required when parent is present) | `string` |   |
| `errors[].identifier` (Required when parent is present) | `string` |   |
| `errors[].identifierValue` (Required when parent is present) | `string` |   |
| `errors[].messageCode` (Required when parent is present) | `string` |   |
| `errors[].message` | `string` |   |
| `errors[].errorType` (Required when parent is present) | `string` |   |

**Example response**

`application/json`

```json
{
  "messageCode": "updateFailed",
  "message": "string",
  "errors": [
    {}
  ]
}
```

### Example request

```bash
curl https://api.subrite.no/api/v1/members/profile/email \
  --request PATCH \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "email": "user@example.com",
  "otp": "<otp>",
  "hash": "string"
}'
```

### Example response

200 · `application/json`

```json
{
  "id": "string",
  "fullName": "<fullName>",
  "nickName": "string",
  "createdAt": "2019-08-24T14:15:22Z",
  "avatar": "string",
  "countryCode": "string",
  "birthDate": "<birthDate>",
  "deleteAfterExpiration": true,
  "isCompany": true,
  "companyName": "string",
  "organizationNo": "string",
  "customPropertyValues": {},
  "emailVerified": "string",
  "phoneVerified": true,
  "memberNumber": 0,
  "userId": 0,
  "emailStatus": "scheduled",
  "email": "user@example.com",
  "phone": "<phone>",
  "address": {
    "line1": "string",
    "line2": "string",
    "city": "string",
    "postCode": "string",
    "country": "string",
    "name": "string",
    "email": "string",
    "companyName": "string",
    "organizationNo": "string",
    "invoiceReference": "string",
    "isSynced": true,
    "lastSyncedAt": "2019-08-24T14:15:22Z"
  }
}
```

<a id="post-api-v1-members-profile-phone-pre-verify"></a>
## Request phone pre-verification

`POST /api/v1/members/profile/phone/pre-verify`

**Authentication:** Bearer token (JWT)

### Request body

Content type: `application/json` · Required · `UpdateMemberPhoneBodyDto`

| Name | Type | Description |
| --- | --- | --- |
| `phone` (Required) | `string` |   |
| `language` (Required) | `string` | Allowed values: `"en"`, `"no"`, `"sv"`, `"da"` |

**Example request body**

`application/json`

```json
{
  "phone": "<phone>",
  "language": "en"
}
```

### Responses

#### 201

Content type: `application/json` · `OTPSendResponseDto`

Same fields as [Request email pre-verification (201)](https://www.subrite.no/developers/member-profile?md=true#post-api-v1-members-profile-email-pre-verify).

#### 400

Content type: `application/json` · `ErrorResponse`

phoneNumberIsInvalid, retryAfter5Mins, phoneAlreadyVerified, dailyLimitReached, hourlyLimitReached

| Name | Type | Description |
| --- | --- | --- |
| `messageCode` (Required) | `string` | Allowed values: `"phoneNumberIsInvalid"`, `"retryAfter5Mins"`, `"phoneAlreadyVerified"`, `"dailyLimitReached"`, `"hourlyLimitReached"` |
| `message` | `string` |   |
| `errors` (Required) | `array of FieldError` |   |
| `errors[].field` (Required when parent is present) | `string` |   |
| `errors[].fieldValue` (Required when parent is present) | `string` |   |
| `errors[].identifier` (Required when parent is present) | `string` |   |
| `errors[].identifierValue` (Required when parent is present) | `string` |   |
| `errors[].messageCode` (Required when parent is present) | `string` |   |
| `errors[].message` | `string` |   |
| `errors[].errorType` (Required when parent is present) | `string` |   |

**Example response**

`application/json`

```json
{
  "messageCode": "phoneNumberIsInvalid",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 401

Content type: `application/json` · `ErrorResponse`

unauthorized

Same fields as [Get mypage cards settings of a tenant (401)](https://www.subrite.no/developers/member-profile?md=true#get-api-v1-members-profile-mypage-cards-settings).

**Example response**

`application/json`

```json
{
  "messageCode": "string",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 403

Content type: `application/json` · `ErrorResponse`

forbiddenResource

Same fields as [Get mypage cards settings of a tenant (401)](https://www.subrite.no/developers/member-profile?md=true#get-api-v1-members-profile-mypage-cards-settings).

#### 500

Content type: `application/json` · `ErrorResponse`

internalServerError

Same fields as [Get mypage cards settings of a tenant (401)](https://www.subrite.no/developers/member-profile?md=true#get-api-v1-members-profile-mypage-cards-settings).

### Example request

```bash
curl https://api.subrite.no/api/v1/members/profile/phone/pre-verify \
  --request POST \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "phone": "<phone>",
  "language": "en"
}'
```

### Example response

201 · `application/json`

```json
{
  "hash": "string"
}
```

<a id="patch-api-v1-members-profile-phone"></a>
## Update phone

`PATCH /api/v1/members/profile/phone`

**Authentication:** Bearer token (JWT)

### Request body

Content type: `application/json` · Required · `UpdateMemberPhoneDto`

| Name | Type | Description |
| --- | --- | --- |
| `phone` (Required) | `string` |   |
| `otp` (Required) | `string` |   |
| `hash` (Required) | `string` |   |

**Example request body**

`application/json`

```json
{
  "phone": "<phone>",
  "otp": "<otp>",
  "hash": "string"
}
```

### Responses

#### 200

Content type: `application/json` · `MemberPersonalInfo`

Same fields as [Get logged in member personal info (200)](https://www.subrite.no/developers/member-profile?md=true#get-api-v1-members-profile).

#### 400

Content type: `application/json` · `ErrorResponse`

alreadyExists, invalidOtp, otpExpired

Same fields as [Update email (400)](https://www.subrite.no/developers/member-profile?md=true#patch-api-v1-members-profile-email).

**Example response**

`application/json`

```json
{
  "messageCode": "alreadyExists",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 401

Content type: `application/json` · `ErrorResponse`

unauthorized

Same fields as [Get mypage cards settings of a tenant (401)](https://www.subrite.no/developers/member-profile?md=true#get-api-v1-members-profile-mypage-cards-settings).

**Example response**

`application/json`

```json
{
  "messageCode": "string",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 403

Content type: `application/json` · `ErrorResponse`

forbiddenResource

Same fields as [Get mypage cards settings of a tenant (401)](https://www.subrite.no/developers/member-profile?md=true#get-api-v1-members-profile-mypage-cards-settings).

#### 500

Content type: `application/json` · `ErrorResponse`

updateFailed

Same fields as [Update email (500)](https://www.subrite.no/developers/member-profile?md=true#patch-api-v1-members-profile-email).

**Example response**

`application/json`

```json
{
  "messageCode": "updateFailed",
  "message": "string",
  "errors": [
    {}
  ]
}
```

### Example request

```bash
curl https://api.subrite.no/api/v1/members/profile/phone \
  --request PATCH \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "phone": "<phone>",
  "otp": "<otp>",
  "hash": "string"
}'
```

### Example response

200 · `application/json`

```json
{
  "id": "string",
  "fullName": "<fullName>",
  "nickName": "string",
  "createdAt": "2019-08-24T14:15:22Z",
  "avatar": "string",
  "countryCode": "string",
  "birthDate": "<birthDate>",
  "deleteAfterExpiration": true,
  "isCompany": true,
  "companyName": "string",
  "organizationNo": "string",
  "customPropertyValues": {},
  "emailVerified": "string",
  "phoneVerified": true,
  "memberNumber": 0,
  "userId": 0,
  "emailStatus": "scheduled",
  "email": "user@example.com",
  "phone": "<phone>",
  "address": {
    "line1": "string",
    "line2": "string",
    "city": "string",
    "postCode": "string",
    "country": "string",
    "name": "string",
    "email": "string",
    "companyName": "string",
    "organizationNo": "string",
    "invoiceReference": "string",
    "isSynced": true,
    "lastSyncedAt": "2019-08-24T14:15:22Z"
  }
}
```

<a id="post-api-v1-members-profile-request-account-deletion"></a>
## Request deletion of a member by its own

`POST /api/v1/members/profile/request-account-deletion`

**Authentication:** Bearer token (JWT)

### Responses

#### 201

Content type: `application/json` · `MemberPersonalInfo`

Same fields as [Get logged in member personal info (200)](https://www.subrite.no/developers/member-profile?md=true#get-api-v1-members-profile).

#### 401

Content type: `application/json` · `ErrorResponse`

unauthorized

Same fields as [Get mypage cards settings of a tenant (401)](https://www.subrite.no/developers/member-profile?md=true#get-api-v1-members-profile-mypage-cards-settings).

**Example response**

`application/json`

```json
{
  "messageCode": "string",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 403

Content type: `application/json` · `ErrorResponse`

forbiddenResource

Same fields as [Get mypage cards settings of a tenant (401)](https://www.subrite.no/developers/member-profile?md=true#get-api-v1-members-profile-mypage-cards-settings).

#### 404

Content type: `application/json` · `ErrorResponse`

notFound

Same fields as [Get logged in member subscriptions (404)](https://www.subrite.no/developers/member-profile?md=true#get-api-v1-members-profile-subscriptions).

**Example response**

`application/json`

```json
{
  "messageCode": "notFound",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 500

Content type: `application/json` · `ErrorResponse`

internalServerError

Same fields as [Get mypage cards settings of a tenant (401)](https://www.subrite.no/developers/member-profile?md=true#get-api-v1-members-profile-mypage-cards-settings).

### Example request

```bash
curl https://api.subrite.no/api/v1/members/profile/request-account-deletion \
  --request POST \
  --header 'Authorization: Bearer <token>'
```

### Example response

201 · `application/json`

```json
{
  "id": "string",
  "fullName": "<fullName>",
  "nickName": "string",
  "createdAt": "2019-08-24T14:15:22Z",
  "avatar": "string",
  "countryCode": "string",
  "birthDate": "<birthDate>",
  "deleteAfterExpiration": true,
  "isCompany": true,
  "companyName": "string",
  "organizationNo": "string",
  "customPropertyValues": {},
  "emailVerified": "string",
  "phoneVerified": true,
  "memberNumber": 0,
  "userId": 0,
  "emailStatus": "scheduled",
  "email": "user@example.com",
  "phone": "<phone>",
  "address": {
    "line1": "string",
    "line2": "string",
    "city": "string",
    "postCode": "string",
    "country": "string",
    "name": "string",
    "email": "string",
    "companyName": "string",
    "organizationNo": "string",
    "invoiceReference": "string",
    "isSynced": true,
    "lastSyncedAt": "2019-08-24T14:15:22Z"
  }
}
```

<a id="get-api-v1-members-profile-subscriptions-id"></a>
## Get member subscription details

`GET /api/v1/members/profile/subscriptions/{id}`

**Authentication:** Bearer token (JWT)

### Parameters

| Name | In | Type | Description |
| --- | --- | --- | --- |
| `id` (Required) | path | `number` |   |

### Responses

#### 200

Content type: `application/json` · `SubscriptionDetails`

| Name | Type | Description |
| --- | --- | --- |
| `id` (Required) | `number` |   |
| `packageId` (Required) | `number` |   |
| `name` (Required) | `string` |   |
| `slug` (Required) | `string` |   |
| `subscriptionPlanId` (Required) | `number` |   |
| `subscriptionPlanName` (Required) | `string` |   |
| `recurringPrice` (Required) | `number` |   |
| `autoRenew` (Required) | `boolean` |   |
| `paymentInfo` (Required) | `PaymentInfo` |   |
| `paymentInfo.stripeCardInfo` (Required) | `StripeCardInfo` |   |
| `paymentInfo.stripeCardInfo.brand` (Required) | `string` |   |
| `paymentInfo.stripeCardInfo.expMonth` (Required) | `number` |   |
| `paymentInfo.stripeCardInfo.expYear` (Required) | `number` |   |
| `paymentInfo.stripeCardInfo.last4` (Required) | `string` |   |
| `paymentInfo.stripeCardInfo.country` (Required) | `string` |   |
| `paymentInfo.isLink` (Required) | `boolean` |   |
| `paymentInfo.netsCardInfo` (Required) | `NetsCardInfo` |   |
| `paymentInfo.swedbankpayCardInfo` (Required) | `SwedbankpayCardInfo` | Nested fields omitted: field limit. |
| `paymentInfo.vippsPaymentInfoWithDueCharge` (Required) | `VippsPaymentInfoWithDueCharge` | Nested fields omitted: field limit. |
| `paymentInfo.eInvoicePaymentInfo` (Required) | `EInvoicePaymentInfo` | Nested fields omitted: field limit. |
| `paymentInfo.externalPaymentInfo` (Required) | `ExternalPaymentInfo` |   |
| `paymentInfo.externalPaymentInfo.isPaid` (Required) | `boolean` |   |
| `paymentInfo.externalPaymentInfo.paidTill` (Required) | `string (date-time)` |   |
| `paymentProvider` | `string` | Allowed values: `"stripe"`, `"vipps"`, `"external"`, `"nets"`, `"efaktura-avtalegiro-ehf"`, `"swedbankpay"` |
| `isOwner` (Required) | `boolean` |   |
| `canRemovePaymentMethod` (Required) | `boolean` | Whether the paying owner may remove the stored payment method. False while the subscription can still be charged, for seat holders, and when nothing is stored. Which provider holds the credential does not gate it: a subscription that has moved to invoice billing can still be holding a card, and that orphan is removable. True for Vipps too, where the stored credential is an agreement rather than a card — name it accordingly in the UI. |
| `hasStoredPaymentMethod` (Required) | `boolean` | Whether a chargeable credential is actually stored. Read from paymentInfo, never from the card details: a Stripe Link method is live while storing no brand or last4, so absent card details do not mean absent credential. The UI needs this to tell "no payment method" from "stored, but nothing to display". |
| `isGroupSubscription` (Required) | `boolean` |   |
| `status` (Required) | `MEMBER_PACKAGE_STATUS` | Allowed values: `"active"`, `"inactive"`, `"pending"`, `"paused"`, `"stopped"`, `"expired"`, `"waiting_for_activation"` |
| `groupOwnerName` (Required) | `string` |   |
| `products` (Required) | `array of ProductPackage` |   |
| `products[].circulationType` | `CIRCULATION_TYPE` | Allowed values: `"subscription"`, `"single_copy"` · Can be null |
| `products[].id` (Required when parent is present) | `number` |   |
| `products[].name` (Required when parent is present) | `string` |   |
| `products[].productId` (Required when parent is present) | `number` |   |
| `products[].productCategory` (Required when parent is present) | `string` | Allowed values: `"digital_subscription"`, `"physical_subscription"`, `"physical"`, `"event_ticket"`, `"PHYSICAL_PRODUCT"` |
| `products[].price` (Required when parent is present) | `number` |   |
| `products[].recurringPrice` (Required when parent is present) | `number` |   |
| `products[].quantity` (Required when parent is present) | `number` |   |
| `products[].hasAccess` (Required when parent is present) | `boolean` |   |
| `products[].isOptional` (Required when parent is present) | `boolean` |   |
| `products[].shippingCountry` (Required when parent is present) | `string` |   |
| `products[].shippingCharges` (Required when parent is present) | `array of ShippingCharge` | Nested fields omitted: field limit. |
| `products[].shippingCountries` (Required when parent is present) | `array of string` |   |
| `products[].shippingPrice` (Required when parent is present) | `number` |   |
| `products[].groupInfo` (Required when parent is present) | `GroupSubscriptionResponse` | Nested fields omitted: field limit. |
| `currentPeriodBillingInfo` (Required) | `BillingPeriodInfo` |   |
| `currentPeriodBillingInfo.billingPeriod` (Required) | `string` |   |
| `currentPeriodBillingInfo.customBillingPeriod` (Required) | `BillingPeriodDetails` | Nested fields omitted: field limit. |
| `nextPeriodBillingInfo` (Required) | `BillingPeriodInfo` |   |
| `nextPeriodBillingInfo.billingPeriod` (Required) | `string` |   |
| `nextPeriodBillingInfo.customBillingPeriod` (Required) | `BillingPeriodDetails` | Nested fields omitted: field limit. |
| `currentPeriodPrice` (Required) | `number` |   |
| `nextPeriodPrice` (Required) | `number` |   |
| `nextRenewal` (Required) | `string (date-time)` |   |
| `expiresAt` (Required) | `string (date-time)` |   |
| `changeBlockReason` | `SUBSCRIPTION_CHANGE_BLOCK_REASON` | Allowed values: `"ON_INTRO_PERIOD"`, `"NOT_ACTIVE"`, `"PAST_DUE"`, `"ON_RENEWAL_DAY"`, `"VIPPS_RECURRING_CHARGE_CREATED"`, `"VIPPS_CHARGE_CREATION_WINDOW"`, `"INVOICE_ALREADY_PAID_FOR_NEXT_PERIOD"`, `"INVOICE_NOT_PAID_FOR_CURRENT_PERIOD"` · Can be null |
| `allowSameSubscriptionChange` (Required) | `boolean` |   |
| `allowDifferentSubscriptionSwitch` (Required) | `boolean` |   |
| `allowAdminSameSubscriptionChange` (Required) | `boolean` |   |
| `allowAdminDifferentSubscriptionSwitch` (Required) | `boolean` |   |
| `enableGiftSubscription` (Required) | `boolean` |   |
| `allowFutureStartDate` (Required) | `boolean` |   |
| `allowAutoRenewChange` (Required) | `boolean` |   |
| `changeData` | `ChangeSubscriptionDetails` | Can be null · Nested fields omitted: field limit. |
| `primaryAddress` (Required) | `ProfileAddress` | Nested fields omitted: field limit. |
| `invoiceAddress` (Required) | `ProfileAddress` | Can be null · Nested fields omitted: field limit. |
| `groupOwnerMemberName` (Required) | `string` |   |
| `groupOwnerMemberId` (Required) | `string` |   |
| `groupOwnerMemberNumber` (Required) | `number` |   |
| `groupOwnerPhoneNumber` (Required) | `string` |   |
| `activeSince` (Required) | `string (date-time)` |   |
| `currentPeriodStart` (Required) | `string (date-time)` |   |
| `currentPeriodEnd` (Required) | `string (date-time)` |   |
| `scheduledActivationDate` (Required) | `string (date-time)` |   |
| `lastActiveAt` | `string (date-time)` | Can be null |
| `hasOptionalProductsInPlan` (Required) | `boolean` |   |
| `inviteAcceptedProducts` (Required) | `array of MemberPackageProductSeat` | Nested fields omitted: field limit. |
| `recipientAttachedProducts` (Required) | `array of MemberPackageProduct` | Nested fields omitted: field limit. |
| `isLink` | `boolean` |   |

#### 401

Content type: `application/json` · `ErrorResponse`

unauthorized

Same fields as [Get mypage cards settings of a tenant (401)](https://www.subrite.no/developers/member-profile?md=true#get-api-v1-members-profile-mypage-cards-settings).

**Example response**

`application/json`

```json
{
  "messageCode": "string",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 403

Content type: `application/json` · `ErrorResponse`

forbiddenResource

Same fields as [Get mypage cards settings of a tenant (401)](https://www.subrite.no/developers/member-profile?md=true#get-api-v1-members-profile-mypage-cards-settings).

#### 404

Content type: `application/json` · `ErrorResponse`

notFound

Same fields as [Get logged in member subscriptions (404)](https://www.subrite.no/developers/member-profile?md=true#get-api-v1-members-profile-subscriptions).

**Example response**

`application/json`

```json
{
  "messageCode": "notFound",
  "message": "string",
  "errors": [
    {}
  ]
}
```

#### 500

Content type: `application/json` · `ErrorResponse`

internalServerError

Same fields as [Get mypage cards settings of a tenant (401)](https://www.subrite.no/developers/member-profile?md=true#get-api-v1-members-profile-mypage-cards-settings).

### Example request

```bash
curl 'https://api.subrite.no/api/v1/members/profile/subscriptions/{id}' \
  --header 'Authorization: Bearer <token>'
```

### Example response

200 · `application/json`

```json
{
  "id": 0,
  "packageId": 0,
  "name": "string",
  "slug": "string",
  "subscriptionPlanId": 0,
  "subscriptionPlanName": "string",
  "recurringPrice": 0,
  "autoRenew": true,
  "paymentInfo": {
    "stripeCardInfo": {},
    "isLink": true,
    "netsCardInfo": {},
    "swedbankpayCardInfo": {},
    "vippsPaymentInfoWithDueCharge": {},
    "eInvoicePaymentInfo": {},
    "externalPaymentInfo": {}
  },
  "paymentProvider": "stripe",
  "isOwner": true,
  "canRemovePaymentMethod": true,
  "hasStoredPaymentMethod": true,
  "isGroupSubscription": true,
  "status": "active",
  "groupOwnerName": "<groupOwnerName>",
  "products": [
    {
      "shippingCharges": [],
      "shippingCountries": []
    }
  ],
  "currentPeriodBillingInfo": {
    "billingPeriod": "string",
    "customBillingPeriod": {}
  },
  "nextPeriodBillingInfo": {
    "billingPeriod": "string",
    "customBillingPeriod": {}
  },
  "currentPeriodPrice": 0,
  "nextPeriodPrice": 0,
  "nextRenewal": "2019-08-24T14:15:22Z",
  "expiresAt": "2019-08-24T14:15:22Z",
  "changeBlockReason": "ON_INTRO_PERIOD",
  "allowSameSubscriptionChange": true,
  "allowDifferentSubscriptionSwitch": true,
  "allowAdminSameSubscriptionChange": true,
  "allowAdminDifferentSubscriptionSwitch": true,
  "enableGiftSubscription": true,
  "allowFutureStartDate": true,
  "allowAutoRenewChange": true,
  "changeData": {
    "id": 0,
    "currentPlanName": "string",
    "newPlanName": "string",
    "currentProducts": [],
    "newProducts": [],
    "currentPaymentProviderInfo": {},
    "currentBillingPeriod": {},
    "newBillingPeriod": {},
    "currentPeriodStart": "2019-08-24T14:15:22Z",
    "nextRenewal": "2019-08-24T14:15:22Z",
    "newPeriodStart": "2019-08-24T14:15:22Z",
    "changeInPrice": 0,
    "currentRecurringPrice": 0,
    "nextRenewalPrice": 0,
    "autoRenew": true,
    "newPackageAutoRenew": true,
    "orderId": 0
  },
  "primaryAddress": {
    "line1": "string",
    "line2": "string",
    "city": "string",
    "postCode": "string",
    "country": "string",
    "name": "string",
    "email": "string",
    "companyName": "string",
    "organizationNo": "string",
    "invoiceReference": "string",
    "isSynced": true,
    "lastSyncedAt": "2019-08-24T14:15:22Z"
  },
  "invoiceAddress": {
    "line1": "string",
    "line2": "string",
    "city": "string",
    "postCode": "string",
    "country": "string",
    "name": "string",
    "email": "string",
    "companyName": "string",
    "organizationNo": "string",
    "invoiceReference": "string",
    "isSynced": true,
    "lastSyncedAt": "2019-08-24T14:15:22Z"
  },
  "groupOwnerMemberName": "<groupOwnerMemberName>",
  "groupOwnerMemberId": "string",
  "groupOwnerMemberNumber": 0,
  "groupOwnerPhoneNumber": "<groupOwnerPhoneNumber>",
  "activeSince": "2019-08-24T14:15:22Z",
  "currentPeriodStart": "2019-08-24T14:15:22Z",
  "currentPeriodEnd": "2019-08-24T14:15:22Z",
  "scheduledActivationDate": "2019-08-24T14:15:22Z",
  "lastActiveAt": "2019-08-24T14:15:22Z",
  "hasOptionalProductsInPlan": true,
  "inviteAcceptedProducts": [
    {
      "metaData": {}
    }
  ],
  "recipientAttachedProducts": [
    {
[...]
